[Release notes] Vanha Rauma 4.4.0.64

weird thing, the brightness of the upgrade progress screen is very low, can barely see it. But it is progressing nicely so far

GPSInfo starts for me, but not sure which version of GPSInfo that is. On the other hand foilauth and sailfishconnect don’t. Foilauth can’t open ~/.local/share/foil/foil.key, sailfishconnect can’t connect to its background service via dbus. Sailfishconnect seems to have disabled sandboxing on their github in October, but never made a new release :smiley:

So for Sailfishconnect, just update your desktop file to this: https://github.com/R1tschY/harbour-sailfishconnect/blob/master/app/harbour-sailfishconnect.desktop

1 Like

Update here on my Xperia 10 II weren’t that successful, but however managed to got it installed. Presumably the update process got stuck even though it was actually ready all the time. I had to force reboot. Nevertheless, update installed and seems to be working normally :slight_smile:

1 Like

It looks like 4.3 provides libtinfo.so.5, but not libtinfo.so.6, and 4.4 provides libtinfo.so.6 but not libtinfo.so.5. That would mean separate builds for 4.3 and 4.4 for fish shell at least. Or, I’m missing something, which is also quite likely :slight_smile:

Edit: Changelog has [ncurses] Enable ABI6 and move ABI5 libs to a separte package. but I can find no package to offer ABI5.

3 Likes

If passilic is started normally, it’s unable to list saved password. As a workaround, it’s necessary to start from terminal.

No VOLTE yet? Just checking on this much needed feature.

8 Likes

For me GPSInfo launches from the icon, and it asks for permissions (which I should narrow down actually). Make sure it’s the OpenRepos version and not the Jolla Store version, OS upgrades tend to downgrade OpenRepos packages to whatever version Jolla Store offers…

2 Likes

I can’t install Storeman: It complains …“nothing provides libsolv0”.

3 Likes

Damnit, this will break basically everything running on console. Hopefully the mentioned compat package makes it into the final release.

EDIT: according to this there should be a compat package called ncurses-libs5. Hopefully this will resolve the libs correctly for old binaries.

5 Likes

EDIT: For detailed information on how to deal with this, see @olf 's guides below:


Original post:

I think that is because the install process picks up an older version of the storeman package (likely from the mentaljam Openrepos repo).
Current versions (from Chum) do not link against libsolv0.

So, download a current build for 4.3 from Chum and try with that.

Also, the description for Storeman-Installer on Openrepos states:

  • Every SFOS release requires a configured OBS repository. Therefore Storeman installation may not be available for some time after a new SFOS release until maintainers configure a new repository. This is especially true for EA releases
1 Like

I tried it with download from Chum repository built for 4.3. and get the same error

None of the versions on Chum works for me, alas.

Updated to Rauma 4.4.0.58 via command line and after reboot i can not activate SIM nor WIFI. Also no calls can be received.
Any attempts to get network up failed. Bluetooth also not working.

Any ideas?

ifconfig up also nothing; tells me no name even (no eth0 no enp4s0)

Installed the update, it actually worked through the GUI on the first try. It seems to work OK, but I’ve lost the ability to open a shell, because I’d previously installed fish and this no longer wants to start, since libncurses apparantly no longer exists:

fish: error while loading shared libraries: libncurses.so.5: cannot open shared object file: No such file or directory

I cannot login through SSH either, requesting a different shell is somehow simply ignored. This is problematic, since I always use the terminal to check whether the phone has gone off the rails (i.e. ofonod has gone into a feeding frenzy on my battery) and now I cannot open it, nor install other applications.

@martijntje Have you try recovery mode to uninstall fish shell?
And change default shell then

Thanks for the update. It seems less exciting in new features than previous ones, mainly bug fixes. But it looks the underlying platform is continuing its modernization (APIs, browser, etc.).
Looking forward for the stable release to install it on my device, and I wish VOLTE will come sooner than later (that’s one feature I’m aiming for as it will, hopefully, improve call quality a lot).

3 Likes

The same here on X10: On trying to install from .rpm file, phone says: xdg-open not found !

it reports 'nothing provides ‘libsolv0’ needed by the to be installed harbour …

Yes, I tried using fastboot to boot hybris-recovery.img, but it’s stuck at “sending”. No idea what’s wrong there, I am using a data cable and when I remove it it immediately exits with an error.

Ok, looks like we have some sailjail glitches now:

  • Syncdings cannot startup syncthing anymore
  • AdvancedCam pictures from sdcard are not shown in gallery
  • Sailpass ist not able to select the sdcard (where I have my keys)
1 Like